Package com.logicaldoc.core.document

# Class TagCloud

java.lang.Object
com.logicaldoc.core.document.TagCloud

All Implemented Interfaces:
  `Comparable<TagCloud>`

public class TagCloud extends Object implements Comparable<TagCloud>
This class is a TagCloud

Since:
  4.0
Author:
  Alessandro Gasparini - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`TagCloud()`
`TagCloud(String tag)`
`TagCloud(String tag, long count)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(TagCloud o)`
`boolean`
`equals(Object obj)`
`long`
`getCount()`
`int`
`getScale()`
`String`
`getTag()`
`int`
`hashCode()`
`void`
`setCount(long count)`
`void`
`setScale(int scale)`
`void`
`setTag(String tag)`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TagCloud

public TagCloud(String tag)

### TagCloud

public TagCloud(String tag, long count)

### TagCloud

public TagCloud()

## Method Details

### getTag

public String getTag()

### setTag

public void setTag(String tag)

### getCount

public long getCount()

### setCount

public void setCount(long count)

### getScale

public int getScale()

### setScale

public void setScale(int scale)

### compareTo

public int compareTo(TagCloud o)

Specified by:
  `compareTo` in interface `Comparable<TagCloud>`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`